Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDEBIRTHCONGENITALMALFORMATIONvalues

java.lang.Object
java.lang.Enum<CDEBIRTHCONGENITALMALFORMATIONvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDEBIRTHCONGENITALMALFORMATIONvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDEBIRTHCONGENITALMALFORMATIONvalues>`, `java.lang.constant.Constable`

public enum CDEBIRTHCONGENITALMALFORMATIONvalues extends Enum<CDEBIRTHCONGENITALMALFORMATIONvalues>

Java class for CD-EBIRTH-CONGENITALMALFORMATIONvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-EBIRTH-CONGENITALMALFORMATIONvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="anencephalia"/>
         <enumeration value="spinabifida"/>
         <enumeration value="hydrocephalia"/>
         <enumeration value="splitlippalate"/>
         <enumeration value="analatresia"/>
         <enumeration value="membersreduction"/>
         <enumeration value="diaphragmatichernia"/>
         <enumeration value="omphalocele"/>
         <enumeration value="gastroschisis"/>
         <enumeration value="transpositiegrotevaten"/>
         <enumeration value="afwijkinglong"/>
         <enumeration value="atresiedundarm"/>
         <enumeration value="nieragenese"/>
         <enumeration value="craniosynostosis"/>
         <enumeration value="turnersyndrom"/>
         <enumeration value="obstructievedefecten"/>
         <enumeration value="tetralogiefallot"/>
         <enumeration value="oesofagaleatresie"/>
         <enumeration value="atresieanus"/>
         <enumeration value="twintotwintransfusionsyndrome"/>
         <enumeration value="skeletdysplasie"/>
         <enumeration value="hydropsfoetalis"/>
         <enumeration value="polymultikystischenierdysplasie"/>
         <enumeration value="VSD"/>
         <enumeration value="atresiegalwegen"/>
         <enumeration value="hypospadias"/>
         <enumeration value="cystischhygroma"/>
         <enumeration value="trisomie21"/>
         <enumeration value="trisomie18"/>
         <enumeration value="trisomie13"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFWIJKINGLONG`
  `ANALATRESIA`
  `ANENCEPHALIA`
  `ATRESIEANUS`
  `ATRESIEDUNDARM`
  `ATRESIEGALWEGEN`
  `CRANIOSYNOSTOSIS`
  `CYSTISCHHYGROMA`
  `DIAPHRAGMATICHERNIA`
  `GASTROSCHISIS`
  `HYDROCEPHALIA`
  `HYDROPSFOETALIS`
  `HYPOSPADIAS`
  `MEMBERSREDUCTION`
  `NIERAGENESE`
  `OBSTRUCTIEVEDEFECTEN`
  `OESOFAGALEATRESIE`
  `OMPHALOCELE`
  `OTHER`
  `POLYMULTIKYSTISCHENIERDYSPLASIE`
  `SKELETDYSPLASIE`
  `SPINABIFIDA`
  `SPLITLIPPALATE`
  `TETRALOGIEFALLOT`
  `TRANSPOSITIEGROTEVATEN`
  `TRISOMIE_13`
  `TRISOMIE_18`
  `TRISOMIE_21`
  `TURNERSYNDROM`
  `TWINTOTWINTRANSFUSIONSYNDROME`
  `VSD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDEBIRTHCONGENITALMALFORMATIONvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDEBIRTHCONGENITALMALFORMATIONvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDEBIRTHCONGENITALMALFORMATIONvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANENCEPHALIA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues ANENCEPHALIA

  - ### SPINABIFIDA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues SPINABIFIDA

  - ### HYDROCEPHALIA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues HYDROCEPHALIA

  - ### SPLITLIPPALATE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues SPLITLIPPALATE

  - ### ANALATRESIA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues ANALATRESIA

  - ### MEMBERSREDUCTION

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues MEMBERSREDUCTION

  - ### DIAPHRAGMATICHERNIA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues DIAPHRAGMATICHERNIA

  - ### OMPHALOCELE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues OMPHALOCELE

  - ### GASTROSCHISIS

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues GASTROSCHISIS

  - ### TRANSPOSITIEGROTEVATEN

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TRANSPOSITIEGROTEVATEN

  - ### AFWIJKINGLONG

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues AFWIJKINGLONG

  - ### ATRESIEDUNDARM

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues ATRESIEDUNDARM

  - ### NIERAGENESE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues NIERAGENESE

  - ### CRANIOSYNOSTOSIS

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues CRANIOSYNOSTOSIS

  - ### TURNERSYNDROM

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TURNERSYNDROM

  - ### OBSTRUCTIEVEDEFECTEN

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues OBSTRUCTIEVEDEFECTEN

  - ### TETRALOGIEFALLOT

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TETRALOGIEFALLOT

  - ### OESOFAGALEATRESIE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues OESOFAGALEATRESIE

  - ### ATRESIEANUS

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues ATRESIEANUS

  - ### TWINTOTWINTRANSFUSIONSYNDROME

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TWINTOTWINTRANSFUSIONSYNDROME

  - ### SKELETDYSPLASIE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues SKELETDYSPLASIE

  - ### HYDROPSFOETALIS

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues HYDROPSFOETALIS

  - ### POLYMULTIKYSTISCHENIERDYSPLASIE

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues POLYMULTIKYSTISCHENIERDYSPLASIE

  - ### VSD

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues VSD

  - ### ATRESIEGALWEGEN

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues ATRESIEGALWEGEN

  - ### HYPOSPADIAS

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues HYPOSPADIAS

  - ### CYSTISCHHYGROMA

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues CYSTISCHHYGROMA

  - ### TRISOMIE_21

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TRISOMIE_21

  - ### TRISOMIE_18

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TRISOMIE_18

  - ### TRISOMIE_13

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues TRISOMIE_13

  - ### OTHER

    public static final CDEBIRTHCONGENITALMALFORMATIONvalues OTHER

- ## Method Details

  - ### values

    public static CDEBIRTHCONGENITALMALFORMATIONvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDEBIRTHCONGENITALMALFORMATIONvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDEBIRTHCONGENITALMALFORMATIONvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.